"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var RoundButton = (function (_super) {
    __extends(RoundButton, _super);
    function RoundButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RoundButton.prototype.render = function () {
        var _a = this.props, color = _a.color, diameter = _a.diameter, disabled = _a.disabled, float = _a.float, label = _a.label, margin = _a.margin, onClick = _a.onClick;
        var ringDiameter1 = diameter * 0.98;
        var ringDiameter2 = ringDiameter1 * 0.82;
        var ringDiameter3 = ringDiameter2 * 0.96;
        var ringDiameter4 = ringDiameter3 * 0.9;
        var Button = (_b = ["\n            width: ", "px;\n            height: ", "px;\n            ", "\n            background: ", ";\n            border: 0px;\n            padding: 0;\n            ", "\n            border-radius: 100%;\n        "], _b.raw = ["\n            width: ", "px;\n            height: ", "px;\n            ", "\n            background: ", ";\n            border: 0px;\n            padding: 0;\n            ", "\n            border-radius: 100%;\n        "], styled_components_1.default.button(_b, diameter, diameter, margin && "margin: " + margin + "px;", color, float && "float: " + float + ";"));
        var Ring1 = (_c = ["\n            width: ", "px;\n            height: ", "px;\n            margin: ", "px;\n            background: rgba(0,0,0,0.4);\n            float: left;\n            border-radius: 100%;\n        "], _c.raw = ["\n            width: ", "px;\n            height: ", "px;\n            margin: ", "px;\n            background: rgba(0,0,0,0.4);\n            float: left;\n            border-radius: 100%;\n        "], styled_components_1.default.div(_c, ringDiameter1, ringDiameter1, diameter * 0.01));
        var Ring2 = (_d = ["\n            width: ", "px;\n            height: ", "px;\n            margin: ", "px;\n            background: rgba(0,0,0,0.4);\n            float: left;\n            border-radius: 100%;\n        "], _d.raw = ["\n            width: ", "px;\n            height: ", "px;\n            margin: ", "px;\n            background: rgba(0,0,0,0.4);\n            float: left;\n            border-radius: 100%;\n        "], styled_components_1.default.div(_d, ringDiameter2, ringDiameter2, ringDiameter1 * 0.09));
        var Ring3 = (_e = ["\n            width: ", "px;\n            height: ", "px;\n            margin: ", "px;\n            background: rgba(0,0,0,0.4);\n            float: left;\n            border-radius: 100%;\n        "], _e.raw = ["\n            width: ", "px;\n            height: ", "px;\n            margin: ", "px;\n            background: rgba(0,0,0,0.4);\n            float: left;\n            border-radius: 100%;\n        "], styled_components_1.default.div(_e, ringDiameter3, ringDiameter3, ringDiameter2 * 0.02));
        var Ring4 = (_f = ["\n            width: ", "px;\n            height: ", "px;\n            margin: ", "px;\n            background: rgba(0,0,0,0.4);\n            color: #FFF;\n            text-align: center;\n            line-height: ", "px;\n            text-transform: uppercase;\n            font-size: ", "px;\n            float: left;\n            border-radius: 100%;\n        "], _f.raw = ["\n            width: ", "px;\n            height: ", "px;\n            margin: ", "px;\n            background: rgba(0,0,0,0.4);\n            color: #FFF;\n            text-align: center;\n            line-height: ", "px;\n            text-transform: uppercase;\n            font-size: ", "px;\n            float: left;\n            border-radius: 100%;\n        "], styled_components_1.default.div(_f, ringDiameter4, ringDiameter4, ringDiameter3 * 0.05, ringDiameter4, ringDiameter4 * 0.3));
        return (React.createElement(Button, { disabled: disabled, onClick: onClick },
            React.createElement(Ring1, null,
                React.createElement(Ring2, null,
                    React.createElement(Ring3, null,
                        React.createElement(Ring4, null, label))))));
        var _b, _c, _d, _e, _f;
    };
    return RoundButton;
}(React.Component));
exports.default = RoundButton;
